| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# EvtPersistencySvc Class Reference

`#include <EvtPersistencySvc.h>`

Inheritance diagram for EvtPersistencySvc:

[legend]
Collaboration diagram for EvtPersistencySvc:

[legend]
List of all members.

## Detailed Description

EvtPersistencySvc class implementation definition.

System: The LHCb Offline System

Package: EvtPersistencySvc

Dependencies:

- PersistencySvc definition: "Kernel/Interfaces/PersistencySvc.h"

History:

        +---------+----------------------------------------------+---------+
        |    Date |                 Comment                      | Who     |
        +---------+----------------------------------------------+---------+
        | 3/11/98 | Initial version                              | M.Frank |
        +---------+----------------------------------------------+---------+

Author:
  Markus Frank

Version:
  1.0

Definition at line 37 of file EvtPersistencySvc.h.

## Public Member Functions
PersistencySvc overrides
virtual StatusCode | initialize ()
| Initialize the service.
virtual StatusCode | finalize ()
| Finalize the service.
## Friends
class | SvcFactory< EvtPersistencySvc >
class | Factory< EvtPersistencySvc, IService *(std::string, ISvcLocator *)>

## Constructor & Destructor Documentation

EvtPersistencySvc::EvtPersistencySvc | ( | const std::string & | name,
|  | ISvcLocator * | svc |
| ) |  |  |

Standard Constructor.

Definition at line 44 of file EvtPersistencySvc.cpp.

    00045  :  PersistencySvc(name, svc)
    00046 {
    00047 }

EvtPersistencySvc::~EvtPersistencySvc | ( |  | ) | `[virtual]`

Standard Destructor.

Definition at line 50 of file EvtPersistencySvc.cpp.

    00050                                         {
    00051 }

EvtPersistencySvc::EvtPersistencySvc | ( | const std::string & | name,
|  | ISvcLocator * | svc |
| ) |  |  |

Standard Constructor.

Definition at line 44 of file EvtPersistencySvc.cpp.

    00045  :  PersistencySvc(name, svc)
    00046 {
    00047 }

EvtPersistencySvc::~EvtPersistencySvc | ( |  | ) | `[virtual]`

Standard Destructor.

Definition at line 50 of file EvtPersistencySvc.cpp.

    00050                                         {
    00051 }

## Member Function Documentation

StatusCode EvtPersistencySvc::initialize | ( |  | ) | `[virtual]`

Initialize the service.

Reimplemented from PersistencySvc.

Definition at line 38 of file EvtPersistencySvc.cpp.

References PersistencySvc::initialize().

    00038                                              {
    00039   StatusCode status = PersistencySvc::initialize();
    00040   return status;
    00041 }

StatusCode EvtPersistencySvc::finalize | ( |  | ) | `[virtual]`

Finalize the service.

Reimplemented from PersistencySvc.

Definition at line 32 of file EvtPersistencySvc.cpp.

References PersistencySvc::finalize().

    00032                                            {
    00033   StatusCode status = PersistencySvc::finalize();
    00034   return status;
    00035 }

## Friends And Related Function Documentation

friend class SvcFactory< EvtPersistencySvc >`[friend]`

Definition at line 39 of file EvtPersistencySvc.h.

friend class Factory< EvtPersistencySvc, IService *(std::string, ISvcLocator *)>`[friend]`

Definition at line 40 of file EvtPersistencySvc.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/PersistencySvc/EvtPersistencySvc.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/PersistencySvc/EvtPersistencySvc.cpp